Loading...
Searching...
No Matches
Gudhi::skeleton_blocker::SkeletonBlockerGeometricDS< GeometryTrait >::Graph_vertex Class Reference

Vertex that stores a point. More...

`#include <concept/Skeleton_blocker/SkeletonBlockerGeometricDS.h>`

## Public Member Functions

Point & | point ()
| Access to the point.
const Point & | point ()
| Access to the point.
Public Member Functions inherited from Gudhi::skeleton_blocker::SkeletonBlockerDS::Graph_vertex
void | deactivate ()
| Used to deactivate a vertex for example when contracting an edge. It allows in some cases to remove the vertex at low cost.
void | activate ()
| Used to activate a vertex.
bool | is_active () const
| Tells if the vertex is active.

## Detailed Description

template<typename GeometryTrait>
class Gudhi::skeleton_blocker::SkeletonBlockerGeometricDS< GeometryTrait >::Graph_vertex

Vertex that stores a point.

The documentation for this class was generated from the following file:

- concept/Skeleton_blocker/SkeletonBlockerGeometricDS.h